Subject: Re: linux-next: build failure after merge of almost all the trees

From: Stephen Rothwell <[email-masked]>
Date: Wed, 3 Nov 2021 15:47:53 +1100

Hi all,

On Thu, 28 Oct 2021 21:26:51 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> Hi all,
> 
> Today's linux-next build (powerpc allyesconfig) failed like this:
> 
> fs/ntfs/aops.c: In function 'ntfs_write_mst_block':
> fs/ntfs/aops.c:1311:1: error: the frame size of 2304 bytes is larger than 2048 bytes [-Werror=frame-larger-than=]
>  1311 | }
>       | ^
> cc1: all warnings being treated as errors
> 
> I have no idea what has caused this.
> 
> I have disabled ntfs for now.

So from today, I have used this instead (i.e. disable CONFIG_NTFS_RW):

From: Stephen Rothwell <[email-masked]>
Date: Wed, 3 Nov 2021 15:17:17 +1100
Subject: [PATCH] Mark NTFS_RW as BROKEN

it currently breaks the ppc allyesonfig build

Signed-off-by: Stephen Rothwell <[email-masked]>
---
 fs/ntfs/Kconfig | 1 +
 1 file changed, 1 insertion(+)

diff --git a/fs/ntfs/Kconfig b/fs/ntfs/Kconfig
index 1667a7e590d8..68cfef0280f2 100644
--- a/fs/ntfs/Kconfig
+++ b/fs/ntfs/Kconfig
@@ -52,6 +52,7 @@ config NTFS_DEBUG
 config NTFS_RW
 	bool "NTFS write support"
 	depends on NTFS_FS
+	depends on BROKEN
 	help
 	  This enables the partial, but safe, write support in the NTFS driver.
 
-- 
2.33.0

-- 
Cheers,
Stephen Rothwell